SMSProgram (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSProgram interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSProgram

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSProgram

extends LogicalElement

Class describes a program or command to run when software is distributed to a client computer. Programs are always associated with a parent package and typically represent the installation program for the package ref MS SMS SDK

Naming Rules:
  0="SMSPackage,programName"
Persistable:
  true
Table Name:
  SMSPROGRAM

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getActionInProgress()` Current action being performed on the program by SMS.
`java.lang.String` | `getApplicationHierarchy()` Reserved.
`java.lang.String` | `getCommandLine()` Required.
`java.lang.String` | `getComment()` Description of the program displayed in the SMS Administrator console
`java.lang.String` | `getDependentProgram()` Formatted text string defining any program that should be run prior to running this program.
`java.lang.String` | `getDiskSpaceReq()` Approximate disk space that the program requires.
`java.lang.String` | `getDriveLetter()` Drive letter (one character in the range a-z) that the program maps to and runs from when it is run
`java.lang.String` | `getDuration()` Approximate time, in minutes, that the program runs.
`int` | `getIconSize()` Size of the icon (in bytes).
`int` | `getPackageID()` Existing package (this value must come from an existing package) with which to associate this program.
`java.lang.String` | `getProgramFlags()` Defines the installation characteristics of the program, such as whether this is an unattended install, the install restarts the computer, or the install runs in a minimized window.
`java.lang.String` | `getProgramName()` Required.
`java.lang.String` | `getRemovalKey()` Registry key that identifies the uninstall script for this program.
`java.lang.String` | `getRequirements()` Description of any additional requirements of the program.
`SMSPackage` | `getSMSPackage()`
`java.lang.String` | `getSupportedOperatingSystems()` Describes the platforms on which the program can run
`java.lang.String` | `getWorkingDirectory()` Defines the location from which the program runs.
`boolean` | `hasActionInProgress()`
`boolean` | `hasApplicationHierarchy()`
`boolean` | `hasCommandLine()`
`boolean` | `hasComment()`
`boolean` | `hasDependentProgram()`
`boolean` | `hasDiskSpaceReq()`
`boolean` | `hasDriveLetter()`
`boolean` | `hasDuration()`
`boolean` | `hasIconSize()`
`boolean` | `hasPackageID()`
`boolean` | `hasProgramFlags()`
`boolean` | `hasProgramName()`
`boolean` | `hasRemovalKey()`
`boolean` | `hasRequirements()`
`boolean` | `hasSMSPackage()`
`boolean` | `hasSupportedOperatingSystems()`
`boolean` | `hasWorkingDirectory()`
`void` | `setActionInProgress(int x)`
`void` | `setApplicationHierarchy(java.lang.String x)`
`void` | `setCommandLine(java.lang.String x)`
`void` | `setComment(java.lang.String x)`
`void` | `setDependentProgram(java.lang.String x)`
`void` | `setDiskSpaceReq(java.lang.String x)`
`void` | `setDriveLetter(java.lang.String x)`
`void` | `setDuration(java.lang.String x)`
`void` | `setIconSize(int x)`
`void` | `setPackageID(int x)`
`void` | `setProgramFlags(java.lang.String x)`
`void` | `setProgramName(java.lang.String x)`
`void` | `setRemovalKey(java.lang.String x)`
`void` | `setRequirements(java.lang.String x)`
`void` | `setSMSPackage(SMSPackage x)`
`void` | `setSupportedOperatingSystems(java.lang.String x)`
`void` | `setWorkingDirectory(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getProgramFlags

    java.lang.String getProgramFlags()
                                     throws AttributeNotSetException

  Defines the installation characteristics of the program, such as whether this is an unattended install, the install restarts the computer, or the install runs in a minimized window. The default flags are USERCONTEXT, USEUNCPATH, and ANY_PLATFORM.

  Throws:
    `AttributeNotSetException`

### setProgramFlags

    void setProgramFlags(java.lang.String x)

### hasProgramFlags

    boolean hasProgramFlags()

### getActionInProgress

    int getActionInProgress()
                            throws AttributeNotSetException

  Current action being performed on the program by SMS. Use this property in your WHERE clause to filter out programs that have been marked for deletion but have not yet been deleted. For more information, see Remarks. This property was added in SMS 2.0 Service Pack 1. The value is DELETE (3).

  Throws:
    `AttributeNotSetException`

### setActionInProgress

    void setActionInProgress(int x)

### hasActionInProgress

    boolean hasActionInProgress()

### getDriveLetter

    java.lang.String getDriveLetter()
                                    throws AttributeNotSetException

  Drive letter (one character in the range a-z) that the program maps to and runs from when it is run

  Throws:
    `AttributeNotSetException`

### setDriveLetter

    void setDriveLetter(java.lang.String x)

### hasDriveLetter

    boolean hasDriveLetter()

### getCommandLine

    java.lang.String getCommandLine()
                                    throws AttributeNotSetException

  Required. Command that runs when the program is launched

  Throws:
    `AttributeNotSetException`

### setCommandLine

    void setCommandLine(java.lang.String x)

### hasCommandLine

    boolean hasCommandLine()

### getComment

    java.lang.String getComment()
                                throws AttributeNotSetException

  Description of the program displayed in the SMS Administrator console

  Throws:
    `AttributeNotSetException`

### setComment

    void setComment(java.lang.String x)

### hasComment

    boolean hasComment()

### getDiskSpaceReq

    java.lang.String getDiskSpaceReq()
                                     throws AttributeNotSetException

  Approximate disk space that the program requires. Used in the SMS Administrator console and advertisement to alert the user about the program's disk space requirements. The user can then decide to accept the advertisement or perform some disk management task first. The format is " ".

  Throws:
    `AttributeNotSetException`

### setDiskSpaceReq

    void setDiskSpaceReq(java.lang.String x)

### hasDiskSpaceReq

    boolean hasDiskSpaceReq()

### getSupportedOperatingSystems

    java.lang.String getSupportedOperatingSystems()
                                                  throws AttributeNotSetException

  Describes the platforms on which the program can run

  Throws:
    `AttributeNotSetException`

### setSupportedOperatingSystems

    void setSupportedOperatingSystems(java.lang.String x)

### hasSupportedOperatingSystems

    boolean hasSupportedOperatingSystems()

### getRequirements

    java.lang.String getRequirements()
                                     throws AttributeNotSetException

  Description of any additional requirements of the program.

  Throws:
    `AttributeNotSetException`

### setRequirements

    void setRequirements(java.lang.String x)

### hasRequirements

    boolean hasRequirements()

### getProgramName

    java.lang.String getProgramName()
                                    throws AttributeNotSetException

  Required. Unique name that represents this program

  Throws:
    `AttributeNotSetException`

### setProgramName

    void setProgramName(java.lang.String x)

### hasProgramName

    boolean hasProgramName()

### getPackageID

    int getPackageID()
                     throws AttributeNotSetException

  Existing package (this value must come from an existing package) with which to associate this program. More than one program can be associated with the same package. You cannot change this value after the instance is created. To associate this program with a different package, you must delete the instance and create a new instance with the new PackageID value

  Throws:
    `AttributeNotSetException`

### setPackageID

    void setPackageID(int x)

### hasPackageID

    boolean hasPackageID()

### getSMSPackage

    SMSPackage getSMSPackage()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setSMSPackage

    void setSMSPackage(SMSPackage x)

### hasSMSPackage

    boolean hasSMSPackage()

### getDependentProgram

    java.lang.String getDependentProgram()
                                         throws AttributeNotSetException

  Formatted text string defining any program that should be run prior to running this program. The format is defined as - -. If the program is in the same package, you can simply specify - -. The dependency is maintained only for the first time that the program runs. After the program has run, the dependency is ignored. For example, you cannot create a recurring scheduled job where the dependency is maintained for each running of the program

  Throws:
    `AttributeNotSetException`

### setDependentProgram

    void setDependentProgram(java.lang.String x)

### hasDependentProgram

    boolean hasDependentProgram()

### getRemovalKey

    java.lang.String getRemovalKey()
                                   throws AttributeNotSetException

  Registry key that identifies the uninstall script for this program. The script must reside in the HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Unin tall registry path

  Throws:
    `AttributeNotSetException`

### setRemovalKey

    void setRemovalKey(java.lang.String x)

### hasRemovalKey

    boolean hasRemovalKey()

### getIconSize

    int getIconSize()
                    throws AttributeNotSetException

  Size of the icon (in bytes).

  Throws:
    `AttributeNotSetException`

### setIconSize

    void setIconSize(int x)

### hasIconSize

    boolean hasIconSize()

### getApplicationHierarchy

    java.lang.String getApplicationHierarchy()
                                             throws AttributeNotSetException

  Reserved.

  Throws:
    `AttributeNotSetException`

### setApplicationHierarchy

    void setApplicationHierarchy(java.lang.String x)

### hasApplicationHierarchy

    boolean hasApplicationHierarchy()

### getWorkingDirectory

    java.lang.String getWorkingDirectory()
                                         throws AttributeNotSetException

  Defines the location from which the program runs. This can be an absolute path on the client or a path relative to the distribution point folder that contains the package. If you do not specify a working directory, SMS uses the specified or default distribution point folder.

  Throws:
    `AttributeNotSetException`

### setWorkingDirectory

    void setWorkingDirectory(java.lang.String x)

### hasWorkingDirectory

    boolean hasWorkingDirectory()

### getDuration

    java.lang.String getDuration()
                                 throws AttributeNotSetException

  Approximate time, in minutes, that the program runs. Used in the SMS Administrator console and advertisement to alert the user about the time requirements. The user can then decide to accept the advertisement or postpone the installation until time permits

  Throws:
    `AttributeNotSetException`

### setDuration

    void setDuration(java.lang.String x)

### hasDuration

    boolean hasDuration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD